> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List your webhook subscriptions

> Returns a paginated list of your webhook subscriptions, optionally filtered by status (active, failing, blocked, or disabled). The response also includes per-status counts across all of your subscriptions.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /webhooks
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List your webhook subscriptions
      description: >-
        Returns a paginated list of your webhook subscriptions, optionally
        filtered by status (active, failing, blocked, or disabled). The response
        also includes per-status counts across all of your subscriptions.
      operationId: listWebhooks
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
            enum:
              - active
              - failing
              - blocked
              - disabled
          required: false
          name: status
          in: query
      responses:
        '200':
          description: Webhook subscriptions
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        url:
                          type: string
                        eventTypes:
                          type: array
                          items:
                            type: string
                        state:
                          type: string
                          enum:
                            - ACTIVE
                            - DISABLED
                            - DELETED
                        health:
                          type: string
                          enum:
                            - healthy
                            - failing
                            - blocked
                          description: >-
                            System-observed delivery health. `blocked` endpoints
                            are auto-disabled after sustained failure; PATCH
                            state=ACTIVE to re-enable.
                        blockedAt:
                          type:
                            - string
                            - 'null'
                        blockedReason:
                          type:
                            - string
                            - 'null'
                        signingEnabled:
                          type: boolean
                        description:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - url
                        - eventTypes
                        - state
                        - health
                        - blockedAt
                        - blockedReason
                        - signingEnabled
                        - description
                        - createdAt
                        - updatedAt
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                  counts:
                    type: object
                    properties:
                      active:
                        type: number
                      failing:
                        type: number
                      blocked:
                        type: number
                      disabled:
                        type: number
                      total:
                        type: number
                    required:
                      - active
                      - failing
                      - blocked
                      - disabled
                      - total
                required:
                  - items
                  - pagination
                  - counts
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const webhooks = await client.webhooks.list();

            console.log(webhooks.counts);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            webhooks = client.webhooks.list()
            print(webhooks.counts)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\twebhooks, err := client.Webhooks.List(context.TODO(), mobileruncloud.WebhookListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", webhooks.Counts)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud webhooks list \
              --api-key 'My API Key'
components:
  schemas:
    Pagination:
      type: object
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          type: integer
          minimum: 1
        pageSize:
          type: integer
          minimum: 1
        pages:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````